Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdInfo.DepartmentData

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdInfo.DepartmentData

Enclosing class:
  cmdInfo

    public static class cmdInfo.DepartmentData
    extends java.lang.Object

Data class

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DepartmentData​(java.lang.String taxGr, java.lang.String recSales, java.lang.String recSum, java.lang.String totSales, java.lang.String totSum, java.lang.String line1, java.lang.String line2)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getLine1()` |
  `java.lang.String` | `getLine2()` |
  `java.lang.String` | `getRecSales()` |
  `java.lang.String` | `getRecSum()` |
  `java.lang.String` | `getTaxGr()` |
  `java.lang.String` | `getTotSales()` |
  `java.lang.String` | `getTotSum()` |
  `void` | `setLine1​(java.lang.String line1)` |
  `void` | `setLine2​(java.lang.String line2)` |
  `void` | `setRecSales​(java.lang.String recSales)` |
  `void` | `setRecSum​(java.lang.String recSum)` |
  `void` | `setTaxGr​(java.lang.String taxGr)` |
  `void` | `setTotSales​(java.lang.String totSales)` |
  `void` | `setTotSum​(java.lang.String totSum)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DepartmentData

    public DepartmentData​(java.lang.String taxGr, java.lang.String recSales, java.lang.String recSum, java.lang.String totSales, java.lang.String totSum, java.lang.String line1, java.lang.String line2)

- ## Method Details

  - ### getTaxGr

    public java.lang.String getTaxGr()

  - ### setTaxGr

    public void setTaxGr​(java.lang.String taxGr)

  - ### getRecSales

    public java.lang.String getRecSales()

  - ### setRecSales

    public void setRecSales​(java.lang.String recSales)

  - ### getRecSum

    public java.lang.String getRecSum()

  - ### setRecSum

    public void setRecSum​(java.lang.String recSum)

  - ### getTotSales

    public java.lang.String getTotSales()

  - ### setTotSales

    public void setTotSales​(java.lang.String totSales)

  - ### getTotSum

    public java.lang.String getTotSum()

  - ### setTotSum

    public void setTotSum​(java.lang.String totSum)

  - ### getLine1

    public java.lang.String getLine1()

  - ### setLine1

    public void setLine1​(java.lang.String line1)

  - ### getLine2

    public java.lang.String getLine2()

  - ### setLine2

    public void setLine2​(java.lang.String line2)